Index: uspace/lib/drv/generic/remote_pci.c
===================================================================
--- uspace/lib/drv/generic/remote_pci.c	(revision a46e56be16ae82f0d007dd26c68b250f3f725ae0)
+++ uspace/lib/drv/generic/remote_pci.c	(revision 984a9ba2fa05c490a7066737655ed19130c714e8)
@@ -124,11 +124,11 @@
 }
 
-static void remote_config_space_read_8(ddf_fun_t *, void *, cap_call_handle_t, ipc_call_t *);
-static void remote_config_space_read_16(ddf_fun_t *, void *, cap_call_handle_t, ipc_call_t *);
-static void remote_config_space_read_32(ddf_fun_t *, void *, cap_call_handle_t, ipc_call_t *);
-
-static void remote_config_space_write_8(ddf_fun_t *, void *, cap_call_handle_t, ipc_call_t *);
-static void remote_config_space_write_16(ddf_fun_t *, void *, cap_call_handle_t, ipc_call_t *);
-static void remote_config_space_write_32(ddf_fun_t *, void *, cap_call_handle_t, ipc_call_t *);
+static void remote_config_space_read_8(ddf_fun_t *, void *, ipc_call_t *);
+static void remote_config_space_read_16(ddf_fun_t *, void *, ipc_call_t *);
+static void remote_config_space_read_32(ddf_fun_t *, void *, ipc_call_t *);
+
+static void remote_config_space_write_8(ddf_fun_t *, void *, ipc_call_t *);
+static void remote_config_space_write_16(ddf_fun_t *, void *, ipc_call_t *);
+static void remote_config_space_write_32(ddf_fun_t *, void *, ipc_call_t *);
 
 /** Remote USB interface operations. */
@@ -150,10 +150,10 @@
 };
 
-void remote_config_space_read_8(ddf_fun_t *fun, void *iface, cap_call_handle_t chandle, ipc_call_t *call)
+void remote_config_space_read_8(ddf_fun_t *fun, void *iface, ipc_call_t *call)
 {
 	assert(iface);
 	pci_dev_iface_t *pci_iface = (pci_dev_iface_t *)iface;
 	if (pci_iface->config_space_read_8 == NULL) {
-		async_answer_0(chandle, ENOTSUP);
+		async_answer_0(call, ENOTSUP);
 		return;
 	}
@@ -162,16 +162,16 @@
 	errno_t ret = pci_iface->config_space_read_8(fun, address, &value);
 	if (ret != EOK) {
-		async_answer_0(chandle, ret);
-	} else {
-		async_answer_1(chandle, EOK, value);
-	}
-}
-
-void remote_config_space_read_16(ddf_fun_t *fun, void *iface, cap_call_handle_t chandle, ipc_call_t *call)
+		async_answer_0(call, ret);
+	} else {
+		async_answer_1(call, EOK, value);
+	}
+}
+
+void remote_config_space_read_16(ddf_fun_t *fun, void *iface, ipc_call_t *call)
 {
 	assert(iface);
 	pci_dev_iface_t *pci_iface = (pci_dev_iface_t *)iface;
 	if (pci_iface->config_space_read_16 == NULL) {
-		async_answer_0(chandle, ENOTSUP);
+		async_answer_0(call, ENOTSUP);
 		return;
 	}
@@ -180,15 +180,15 @@
 	errno_t ret = pci_iface->config_space_read_16(fun, address, &value);
 	if (ret != EOK) {
-		async_answer_0(chandle, ret);
-	} else {
-		async_answer_1(chandle, EOK, value);
-	}
-}
-void remote_config_space_read_32(ddf_fun_t *fun, void *iface, cap_call_handle_t chandle, ipc_call_t *call)
+		async_answer_0(call, ret);
+	} else {
+		async_answer_1(call, EOK, value);
+	}
+}
+void remote_config_space_read_32(ddf_fun_t *fun, void *iface, ipc_call_t *call)
 {
 	assert(iface);
 	pci_dev_iface_t *pci_iface = (pci_dev_iface_t *)iface;
 	if (pci_iface->config_space_read_32 == NULL) {
-		async_answer_0(chandle, ENOTSUP);
+		async_answer_0(call, ENOTSUP);
 		return;
 	}
@@ -197,16 +197,16 @@
 	errno_t ret = pci_iface->config_space_read_32(fun, address, &value);
 	if (ret != EOK) {
-		async_answer_0(chandle, ret);
-	} else {
-		async_answer_1(chandle, EOK, value);
-	}
-}
-
-void remote_config_space_write_8(ddf_fun_t *fun, void *iface, cap_call_handle_t chandle, ipc_call_t *call)
+		async_answer_0(call, ret);
+	} else {
+		async_answer_1(call, EOK, value);
+	}
+}
+
+void remote_config_space_write_8(ddf_fun_t *fun, void *iface, ipc_call_t *call)
 {
 	assert(iface);
 	pci_dev_iface_t *pci_iface = (pci_dev_iface_t *)iface;
 	if (pci_iface->config_space_write_8 == NULL) {
-		async_answer_0(chandle, ENOTSUP);
+		async_answer_0(call, ENOTSUP);
 		return;
 	}
@@ -215,16 +215,16 @@
 	errno_t ret = pci_iface->config_space_write_8(fun, address, value);
 	if (ret != EOK) {
-		async_answer_0(chandle, ret);
-	} else {
-		async_answer_0(chandle, EOK);
-	}
-}
-
-void remote_config_space_write_16(ddf_fun_t *fun, void *iface, cap_call_handle_t chandle, ipc_call_t *call)
+		async_answer_0(call, ret);
+	} else {
+		async_answer_0(call, EOK);
+	}
+}
+
+void remote_config_space_write_16(ddf_fun_t *fun, void *iface, ipc_call_t *call)
 {
 	assert(iface);
 	pci_dev_iface_t *pci_iface = (pci_dev_iface_t *)iface;
 	if (pci_iface->config_space_write_16 == NULL) {
-		async_answer_0(chandle, ENOTSUP);
+		async_answer_0(call, ENOTSUP);
 		return;
 	}
@@ -233,16 +233,16 @@
 	errno_t ret = pci_iface->config_space_write_16(fun, address, value);
 	if (ret != EOK) {
-		async_answer_0(chandle, ret);
-	} else {
-		async_answer_0(chandle, EOK);
-	}
-}
-
-void remote_config_space_write_32(ddf_fun_t *fun, void *iface, cap_call_handle_t chandle, ipc_call_t *call)
+		async_answer_0(call, ret);
+	} else {
+		async_answer_0(call, EOK);
+	}
+}
+
+void remote_config_space_write_32(ddf_fun_t *fun, void *iface, ipc_call_t *call)
 {
 	assert(iface);
 	pci_dev_iface_t *pci_iface = (pci_dev_iface_t *)iface;
 	if (pci_iface->config_space_write_32 == NULL) {
-		async_answer_0(chandle, ENOTSUP);
+		async_answer_0(call, ENOTSUP);
 		return;
 	}
@@ -251,13 +251,11 @@
 	errno_t ret = pci_iface->config_space_write_32(fun, address, value);
 	if (ret != EOK) {
-		async_answer_0(chandle, ret);
-	} else {
-		async_answer_0(chandle, EOK);
-	}
-}
-
+		async_answer_0(call, ret);
+	} else {
+		async_answer_0(call, EOK);
+	}
+}
 
 /**
  * @}
  */
-
